classification
Title: Broken links to "OpenSSL cipher list format" in documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: benjamin.peterson, christian.heimes, docs@python, miss-islington, rolweber
Priority: normal Keywords: easy, patch

Created on 2018-07-05 08:17 by rolweber, last changed 2018-07-11 05:29 by rolweber. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8173 merged n0npax, 2018-07-07 21:25
PR 8177 merged miss-islington, 2018-07-07 22:25
PR 8178 merged benjamin.peterson, 2018-07-07 22:25
PR 8179 merged benjamin.peterson, 2018-07-07 22:28
Messages (8)
msg321085 - (view) Author: Roland Weber (rolweber) Date: 2018-07-05 08:17
The docs for SSLContext.set_ciphers [1] in Python 3 and ssl.wrap_socket [2] in Python 2 contain a link for "OpenSSL cipher list format", which points to an empty wiki page at https://wiki.openssl.org/index.php/Manual:Ciphers(1)#CIPHER_LIST_FORMAT

The OpenSSL cipher list format is currently documented here instead:
https://www.openssl.org/docs/manmaster/man1/ciphers.html

[1] https://docs.python.org/3/library/ssl.html#ssl.SSLContext.set_ciphers
[2] https://docs.python.org/2/library/ssl.html#ssl.wrap_socket
msg321086 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-07-05 08:38
Thanks for your report. Do you want to work on a patch, too?
msg321091 - (view) Author: Roland Weber (rolweber) Date: 2018-07-05 09:18
I'm afraid I don't have the time to work on a patch.
msg321241 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-07-07 22:24
New changeset 9c5ba097485c8c643b670acd4026f4382bc92f4b by Benjamin Peterson (Marcin Niemira) in branch 'master':
closes bpo-34050: Fix link in SSL docs (GH-8173)
https://github.com/python/cpython/commit/9c5ba097485c8c643b670acd4026f4382bc92f4b
msg321242 - (view) Author: miss-islington (miss-islington) Date: 2018-07-07 22:47
New changeset a912305512efd08cbaa15dc1488fb626c9fec067 by Miss Islington (bot) in branch '3.7':
closes bpo-34050: Fix link in SSL docs (GH-8173)
https://github.com/python/cpython/commit/a912305512efd08cbaa15dc1488fb626c9fec067
msg321243 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-07-07 22:48
New changeset 3707dfaf45baf867f17bbbc78ccf2f0d13711dbd by Benjamin Peterson in branch '2.7':
[2.7] closes bpo-34050: Fix link in SSL docs (GH-8173). (GH-8179)
https://github.com/python/cpython/commit/3707dfaf45baf867f17bbbc78ccf2f0d13711dbd
msg321244 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-07-07 23:03
New changeset becb5277670bdb37e8c8471a5a510466eaf9598a by Benjamin Peterson in branch '3.6':
[3.6] closes bpo-34050: Fix link in SSL docs (GH-8173) (GH-8178)
https://github.com/python/cpython/commit/becb5277670bdb37e8c8471a5a510466eaf9598a
msg321409 - (view) Author: Roland Weber (rolweber) Date: 2018-07-11 05:29
Thanks!
History
Date User Action Args
2018-07-11 05:29:03rolwebersetmessages: + msg321409
2018-07-07 23:03:39benjamin.petersonsetmessages: + msg321244
2018-07-07 22:48:09benjamin.petersonsetmessages: + msg321243
2018-07-07 22:47:37miss-islingtonsetnosy: + miss-islington
messages: + msg321242
2018-07-07 22:28:12benjamin.petersonsetpull_requests: + pull_request7734
2018-07-07 22:25:54benjamin.petersonsetpull_requests: + pull_request7733
2018-07-07 22:25:30miss-islingtonsetpull_requests: + pull_request7732
2018-07-07 22:24:23benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg321241

resolution: fixed
stage: patch review -> resolved
2018-07-07 21:25:21n0npaxsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request7730
2018-07-05 09:18:28rolwebersetmessages: + msg321091
2018-07-05 08:38:35christian.heimessetversions: + Python 2.7, Python 3.6, Python 3.7, Python 3.8
nosy: + christian.heimes

messages: + msg321086

keywords: + easy
stage: needs patch
2018-07-05 08:17:41rolwebercreate